.calculator-hero-section.et_pb_section {
  min-height: 100vh;
  display: grid;
  align-content: end;
  padding-bottom: var(--space10);
  padding-top: 350px;
}
#page-container .calculator-hero-section.hero-leaf-bg.et_pb_section::after {
  top: calc(var(--scroll) * 500px);
}

.calculator-hero-row {
  max-width: 910px !important;
  margin: 0 auto;
  background-color: var(--clr-black-200) !important;
  border-radius: 35px;
  padding: 80px 90px !important;
}

div.et_pb_module.hidden {
  opacity: 0 !important;
  height: 0px !important;
  padding: 0px !important;
  opacity: 1;
  transition: all 0.3s ease-in-out;
}

.calculator-hero-row .calculator-hero-text-container {
  text-align: center;
}

.calculator-hero-row .calculator-hero-text-container h1 {
  font-size: 30px !important;
  margin-bottom: 12px;
}

.calculator-hero-row .calculator-hero-text-container .step-description {
  font-size: 12px !important;
  padding-inline: 20px;
  border-radius: 130px;
  border: 1px solid white;
  max-width: max-content;
  margin: 0 auto;
  padding: 6px 20px !important;
}
.calculator-project-item {
  padding: 30px !important;
  border-radius: 15px;
  border: 1px solid #3f3f3f;
  background: #161616;
  cursor: pointer !important;
}
.calculator-project-item .project-item-first-row {
  display: flex;
  align-items: start;
  gap: 30px;
  position: relative !important;
}

.calculator-project-item .project-item-first-row img {
  min-width: 85px !important;
}

.calculator-hero-row .select-project {
  margin-top: 70px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/* .calculator-project-item label {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
} */
.calculator-project-item .project-item-text p {
  color: #b4b4b4 !important;
  font-family: Poppins !important;
  font-size: 12px !important;
  font-style: normal !important;
  font-weight: 400 !important;
}
.calculator-project-item input[type="radio"]:checked::after {
  border-radius: 50%;
  content: "";
  position: absolute;
  width: 14px;
  height: 14px;
  background: white;
  left: 50%;
  transform: translate(-50%, -50%);
  top: 50%;
}

.calculator-project-item input[type="radio"] {
  -webkit-appearance: radio;
  width: 24px !important;
  height: 24px !important;
  background-color: transparent !important;
  appearance: none;
  border: 1px solid white;
  border-radius: 50%;
  position: relative;
}

.calculator-project-item .project-read-more-button {
  margin-top: 15px;
  max-width: max-content;
  position: relative;
}

.calculator-project-item .project-read-more-button::after {
  content: "";
  position: absolute;
  top: 50%;
  right: -20px;
  background-image: url("/wp-content/uploads/2024/04/chevron-right-1.png");
  transform: translateY(-50%);
  width: 16px;
  height: 16px;
  object-fit: contain;
}

.calculator-project-item:has(input[type="radio"]:checked) {
  background: linear-gradient(
    93deg,
    #e41c26 7.66%,
    rgba(228, 28, 38, 0) 106.15%
  ) !important;
  border: none !important;
}

.calculator-project-item .project-item-second-row {
  border-top: 1px solid rgba(255, 255, 255, 0.1);

  display: flex;
  align-items: center;
  flex-direction: row;
  gap: 10px;
  /* display: none; */
  height: 0px;
  opacity: 0;
  visibility: hidden;
}
.calculator-project-item .project-item-second-row .redirect-to-form-link {
  background-color: white;
  padding: 10px 12px 10px 20px;
  color: #111;
  width: 100% !important;
  position: relative;
  border-radius: 14px;
  font-weight: 600;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  white-space: nowrap;
}

.calculator-project-item:has(input[type="radio"]:checked)
  .project-item-second-row {
  /* display: flex; */
  margin-top: 30px;
  padding-top: 30px;
  height: 100%;
  opacity: 1;
  visibility: visible;
  transition: all 0.3s ease-in-out;
}

.calculator-project-item
  .project-item-second-row
  .redirect-to-form-link::after {
  content: "";
  position: relative;
  display: inline-block;
  /* top: 50%; */
  right: 0px;
  background-image: url("/wp-content/uploads/2024/04/chevron-right-1.png");
  /* transform: translateY(-50%); */
  width: 16px;
  height: 16px;
  object-fit: contain;
  filter: invert(1);
}

.calculator-faq-section h3 {
  text-align: center;
}

.calculator-faq-title-row {
  padding-bottom: var(--space4) !important;
}

.calculator-faq-qa-row {
  display: flex;
  flex-direction: row;
  max-width: var(--mw-s) !important;
  gap: 28px;
}

.calculator-faq-qa-row::after {
  display: none !important;
}

.calculator-faq-qa-row .et_pb_column {
  width: 100% !important;
  margin: 0px !important;
  display: flex;
  flex-direction: column;
  gap: 28px;
}

.calculator-faq-qa-row .faq-item {
  padding: 28px 35px;
  border-radius: 14px;
  background: #161616;
  margin: 0px !important;
}

.calculator-faq-qa-row .faq-item h5 {
  margin-bottom: 20px !important;
}

.calculator-faq-section.et_pb_section::before {
  content: "";
  position: absolute;
  left: 0;
  top: -45vh;
  width: 35vw;
  height: 65vh;
  background-image: url(https://zerotak.com/wp-content/uploads/2022/10/zerotak_home-intro-leaf-left.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: left;
  z-index: 1;
  pointer-events: none;
}

.calculator-faq-section.et_pb_section::after {
  content: "";
  position: absolute;
  right: 0;
  top: -45vh;
  width: 35vw;
  height: 65vh;
  background-image: url(/wp-content/uploads/2024/04/Mask-Group-23.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: right;
  z-index: 1;
  pointer-events: none;
}
.calculator-faq-section.et_pb_section::after {
  transform: translatex(calc(var(--scroll) * 500px));
  transition: all 0.2s;
}
.calculator-faq-section.et_pb_section::before {
  transform: translatex(calc(var(--scroll) * -500px));
  transition: all 0.2s;
}

.calculator-form .range-slider {
  position: relative;
  width: 100%;
}

.contact-form.calculator-form .range-slider input {
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  height: 5px;
  background: #d3d3d3;
  outline: none;
  transition: opacity 0.2s;
  border: 0px !important;
  position: relative;
  height: 20px;
  padding: 0px !important;
  background: none !important;
}
.calculator-form .range-slider input::before {
  content: "";
  position: absolute;
  width: 100%;
  background-color: #434343;
  border-radius: 30px;
  height: 4px;
  left: 0px;
  top: 50%;
  transform: translateY(-50%);
  z-index: -2;
}

.calculator-form .range-slider .slider-progress {
  position: absolute;
  top: 9px;
  /* transform: translateY(-50%); */
  left: 0;
  height: 6px;
  background-color: var(--clr-primary);
  z-index: -1;
}

.calculator-form .range-slider input::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 24px;
  height: 24px;
  background: white;
  border-radius: 50%;
  cursor: pointer;
  position: relative;
  box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.05) inset, 0px 0px 18px red;
}

.calculator-form .range-slider input::-moz-range-thumb {
  width: 24px;
  height: 24px;
  background: white;
  border-radius: 50%;
  cursor: pointer;
  box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.05) inset, 0px 0px 18px red;
}

.calculator-form .range-slider input[type="range"]::-moz-range-track {
  background-color: #434343 !important;
  z-index: -2 !important;
  opacity: 1 !important;
}

.calculator-form .range-slider input[type="range"]::-moz-range-progress {
  background-color: var(--clr-primary) !important;

  z-index: -1 !important;
  opacity: 1 !important;
}

.calculator-form .range-slider .labels p {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
  position: relative;
  width: 100%;
}

.calculator-form .range-slider .labels span {
  font-size: 12px;
  cursor: pointer;
  /* display: flex !important; */
  justify-content: center;
  width: 48px;
  /* white-space: nowrap; */
  text-align: center;
}
.calculator-form .range-slider .labels span.before-center {
  justify-content: start;
}
.calculator-form .range-slider .labels span.after-center {
  justify-content: end;
}

.calculator-form .togglebuttons .wpcf7-list-item {
  margin: 0 2px 0 0;
  display: inline-block;
}

.calculator-form .togglebuttons > span input[type="checkbox"] {
  opacity: 0;
  position: absolute;
}

.calculator-form .togglebuttons > span .wpcf7-list-item-label {
  cursor: pointer;
  display: inline-block;
  color: #333;
  border-radius: 30px;
  opacity: 0.7;
  background: #5a5a5a;
  padding: 8px 22px;
  position: relative;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
  transition: background 0.3s, border 0.3s, color 0.3s;
  text-indent: 100% !important;
  white-space: nowrap !important;
  overflow: hidden !important;
  color: transparent !important;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.calculator-form
  .togglebuttons
  > span
  input[type="checkbox"]:checked
  + .wpcf7-list-item-label {
  background: var(--clr-primary);
  color: #ffffff;
  opacity: 1;
}

.calculator-form
  .togglebuttons
  > span
  input[type="checkbox"]
  + .wpcf7-list-item-label::before {
  content: "";
  display: block;
  position: absolute;
  width: 26px;
  height: 26px;
  background: #ffffff;
  border-radius: 50%;
  top: 50%;
  left: 25%;
  transform: translate(-50%, -50%);
  transition: left 0.3s;
}

.calculator-form
  .togglebuttons
  > span
  input[type="checkbox"]:checked
  + .wpcf7-list-item-label::before {
  content: "";
  display: block;
  position: absolute;
  width: 26px;
  height: 26px;
  background: #ffffff;
  border-radius: 50%;
  top: 50%;
  left: 75%;
  transform: translate(-50%, -50%);
  transition: left 0.3s;
}

.calculator-form .wpcf7-radio .wpcf7-list-item {
  margin: 0px !important;
  margin-right: 30px !important;
}

.calculator-form .wpcf7-radio .wpcf7-list-item label {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 15px;
  cursor: pointer !important;
}

.calculator-form .wpcf7-radio.wpcf7-list-item-label {
  white-space: nowrap;
}

.calculator-form .wpcf7-radio input[type="radio"]:checked::after {
  border-radius: 50%;
  content: "";
  position: absolute;
  width: 16px;
  height: 16px;
  background: white;
  left: 50%;
  transform: translate(-50%, -50%);
  top: 50%;
}

.calculator-form .wpcf7-radio input[type="radio"] {
  -webkit-appearance: radio;
  width: 30px !important;
  height: 30px !important;
  background-color: transparent !important;
  appearance: none;
  border: 1px solid white;
  border-radius: 50%;
  position: relative;
  padding: 0px !important;
  min-width: 30px !important;
  cursor: pointer !important;
}

.wpcf7-form-control.wpcf7-checkbox.multipleCheckboxes {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}
.wpcf7-form-control.wpcf7-checkbox.multipleCheckboxes .wpcf7-list-item {
  margin: 0px;
}

.wpcf7-form-control.wpcf7-checkbox.multipleCheckboxes .wpcf7-list-item label {
  display: flex;
  align-items: center;
  gap: 4px;
}

.wpcf7-form-control.wpcf7-checkbox.multipleCheckboxes input {
  width: 20px !important;
  height: 20px !important;
}

.wpcf7-form-control.wpcf7-checkbox.multipleCheckboxes
  input[type="checkbox"]:checked {
  border: 1px solid white !important;
  background-color: white !important;
  position: relative;
}

.wpcf7-form-control.wpcf7-checkbox.multipleCheckboxes
  input[type="checkbox"]:checked::before {
  content: "";
  position: absolute;
  width: 16px;
  height: 12px;
  background-image: url("/wp-content/uploads/2024/04/Icon-6.png");
  background-repeat: no-repeat;
  background-size: contain;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.calculator-form .totalContainer {
  border-top: 1px solid #2d2d2d !important;
  border-bottom: 1px solid #2d2d2d !important;
  margin-bottom: 40px;
  display: flex;
  align-items: center;
  gap: 40px;
  justify-content: center;
  font-size: 16px;
  font-weight: 500;
  padding-block: 20px;
}

.calculator-form .totalContainer span {
  font-size: 32px;
}

.calculator-form .totalContainer span#totalMandays {
  font-size: 16px;
}
#totalTime,
input#totalMandays {
  border: 0px !important;
  border-radius: 0px !important;
  max-width: max-content;
  width: 40px !important;
  padding: 0px !important;
}

.calculator-form .totalContainer span {
  max-width: max-content;
}

.contact-form.calculator-form .form-row {
  padding-bottom: 60px;
}

h5.your-informations {
  padding-bottom: 25px !important;
}

.redirect-to-form-link.source-code-security-test {
  position: absolute;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
}

.calculator-form .wpcf7 input[type="email"]::placeholder,
.calculator-form .wpcf7 input[type="text"]::placeholder {
  color: #b4b4b4 !important;
}

@media (min-width: 1921px) {
  .calculator-hero-section.et_pb_section {
    padding-top: 450px;
  }
}

@media (max-width: 980px) {
  .calculator-hero-section.et_pb_section {
    padding-top: 150px !important;
    min-height: 100% !important;
  }
  .calculator-hero-row {
    padding: 30px !important;
  }
}

@media (max-width: 480px) {
  .thank-you-hero-section .thank-you-buttons-row .et_pb_column {
    flex-direction: column !important;
  }

  .thank-you-hero-section .thank-you-buttons-row {
    padding-inline: 20px !important;
  }
  .et_pb_section.et_pb_section_0.thank-you-hero-section.et_section_regular {
    padding-top: 120px !important;
  }
  .thank-you-hero-section .thank-you-buttons-row .et_pb_column {
    flex-direction: column;
  }

  .thank-you-hero-section .thank-you-logo-row img {
    max-width: 122px !important;
  }

  .thank-you-hero-section .thank-you-text-row,
  .thank-you-hero-section .thank-you-buttons-row,
  .thank-you-hero-section .thank-you-logo-row {
    padding-inline: 20px !important;
  }
  .calculator-hero-row {
    padding: 40px 10px !important;
  }

  .calculator-project-item .project-item-first-row {
    flex-direction: column;
  }
  .calculator-faq-qa-row {
    flex-direction: column;
  }
  .calculator-project-item .project-item-second-row {
    flex-direction: column !important;
  }
  .calculator-project-item .project-item-second-row .redirect-to-form-link {
    white-space: normal;
  }

  .wpcf7-form-control.wpcf7-radio {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

  .calculator-hero-section.et_pb_section {
    padding-top: 120px !important;
    display: flex;
  }
  .calculator-hero-row .calculator-hero-text-container h1 {
    font-size: 28px !important;
    line-height: 1.4em;
  }
  .calculator-form .range-slider .labels span {
    width: 28px !important;
    font-size: 8px !important;
    color: white !important;
    -webkit-text-fill-color: white;
    -webkit-opacity: 1;
  }
  .calculator-form .range-slider .labels.ipAddresses span {
    width: 16px !important;
  }
}

@media (max-width: 320px) {
  .calculator-form .range-slider .labels span {
    width: 28px !important;
    font-size: 8px !important;
  }

  .calculator-form .range-slider .labels.lines-of-code-count span {
    width: 22px !important;
  }

  .calculator-project-item .project-item-second-row .redirect-to-form-link {
    font-size: 13px !important;
  }
}
